
QGIS Application - Bug report #12485

Modeler calculator error

2015-04-01 03:43 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20633

Description

When adding a sample calculation in the Modeller calculation (e+2*h), I get:

Traceback (most recent call last):

  File "/home/paolo/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 401, in addAlgorithm

    self._addAlgorithm(alg.getCopy())

  File "/home/paolo/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 420, in _addAlgorithm

    self.repaintModel()

  File "/home/paolo/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 350, in repaintModel

    self.scene.paintModel(self.alg)

  File "/home/paolo/.qgis2/python/plugins/processing/modeler/ModelerScene.py", line 89, in paintModel

    item = ModelerGraphicItem(alg, model)

  File "/home/paolo/.qgis2/python/plugins/processing/modeler/ModelerGraphicItem.py", line 57, in init

    self.pixmap = element.algorithm.getIcon().pixmap(15, 15)

  File "/home/paolo/.qgis2/python/plugins/processing/modeler/ModelerAlgorithm.py", line 105, in algorithm

    self._algInstance = ModelerUtils.getAlgorithm(self.consoleName).getCopy()

AttributeError: 'NoneType' object has no attribute 'getCopy'

Versione Python:

2.7.9 (default, Mar  1 2015, 13:01:26) 

[GCC 4.9.2]

Versione di QGIS:

2.8.1-Wien Wien, exported

Related issues:

Related to QGIS Application - Bug report # 11539: Processing modeller: calcul... Closed 2014-11-04

History

#1 - 2015-04-01 03:47 AM - Paolo Cavallini

- Subject changed from Molerrer calculator error to Modeler calculator error

#2 - 2015-09-30 12:15 AM - Victor Olaya

- Status changed from Open to Feedback

Can you confirm this is still an issue?

I am not able to reproduce it. A model that uses the raster calculator (the saga one) seems to be working fine now
#3 - 2015-09-30 12:58 AM - Victor Olaya

ok, i see that you were refering to the modeler-only calculator. Just tested and it seems to work fine too. Can you confirm?

#4 - 2015-09-30 01:09 AM - Paolo Cavallini

- Status changed from Feedback to Closed

Agreed, seems to be working fine now.
